Index: IOIPSL/trunk/src/getincom.f90
===================================================================
--- IOIPSL/trunk/src/getincom.f90	(revision 10)
+++ IOIPSL/trunk/src/getincom.f90	(revision 11)
@@ -2307,133 +1689,133 @@
   LOGICAL,ALLOCATABLE :: tmp_logic(:)
   INTEGER :: ier
+  CHARACTER(LEN=20) :: c_tmp
 !---------------------------------------------------------------------
   SELECT CASE (type)
-  CASE(1)
-    IF (intmemsize == 0) THEN
-      ALLOCATE(intmem(memslabs),stat=ier)
+  CASE(k_i)
+    IF (i_memsize == 0) THEN
+      ALLOCATE(i_mem(memslabs),stat=ier)
       IF (ier /= 0) THEN
-        WRITE(*,*) &
- &    'getin_allocmem : Unable to allocate db-memory intmem to ', &
- &    memslabs
-        STOP
-      ENDIF
-      intmemsize=memslabs
+        WRITE (UNIT=c_tmp,FMT=*) memslabs
+        CALL ipslerr (3,'getin_allocmem', &
+ &       'Unable to allocate db-memory', &
+ &       'i_mem to size '//TRIM(ADJUSTL(c_tmp)),' ')
+      ENDIF
+      i_memsize=memslabs
     ELSE
-      ALLOCATE(tmp_int(intmemsize),stat=ier)
+      ALLOCATE(tmp_int(i_memsize),stat=ier)
       IF (ier /= 0) THEN
-        WRITE(*,*) &
- &    'getin_allocmem : Unable to allocate tmp_int to ', &
- &    intmemsize
-        STOP
-      ENDIF
-      tmp_int(1:intmemsize) = intmem(1:intmemsize)
-      DEALLOCATE(intmem)
-      ALLOCATE(intmem(intmemsize+MAX(memslabs,len_wanted)),stat=ier)
+        WRITE (UNIT=c_tmp,FMT=*) i_memsize
+        CALL ipslerr (3,'getin_allocmem', &
+ &       'Unable to allocate tmp_int', &
+ &       'to size '//TRIM(ADJUSTL(c_tmp)),' ')
+      ENDIF
+      tmp_int(1:i_memsize) = i_mem(1:i_memsize)
+      DEALLOCATE(i_mem)
+      ALLOCATE(i_mem(i_memsize+MAX(memslabs,len_wanted)),stat=ier)
       IF (ier /= 0) THEN
-        WRITE(*,*) &
- &    'getin_allocmem : Unable to re-allocate db-memory intmem to ', &
- &    intmemsize+MAX(memslabs,len_wanted)
-        STOP
-      ENDIF
-      intmem(1:intmemsize) = tmp_int(1:intmemsize)
-      intmemsize = intmemsize+MAX(memslabs,len_wanted)
+        WRITE (UNIT=c_tmp,FMT=*) i_memsize+MAX(memslabs,len_wanted)
+        CALL ipslerr (3,'getin_allocmem', &
+ &       'Unable to re-allocate db-memory', &
+ &       'i_mem to size '//TRIM(ADJUSTL(c_tmp)),' ')
+      ENDIF
+      i_mem(1:i_memsize) = tmp_int(1:i_memsize)
+      i_memsize = i_memsize+MAX(memslabs,len_wanted)
       DEALLOCATE(tmp_int)
     ENDIF
-  CASE(2)
-    IF (realmemsize == 0) THEN
-      ALLOCATE(realmem(memslabs),stat=ier)
+  CASE(k_r)
+    IF (r_memsize == 0) THEN
+      ALLOCATE(r_mem(memslabs),stat=ier)
       IF (ier /= 0) THEN
-        WRITE(*,*) &
- &    'getin_allocmem : Unable to allocate db-memory realmem to ', &
- &    memslabs
-        STOP
-      ENDIF
-      realmemsize =  memslabs
+        WRITE (UNIT=c_tmp,FMT=*) memslabs
+        CALL ipslerr (3,'getin_allocmem', &
+ &       'Unable to allocate db-memory', &
+ &       'r_mem to size '//TRIM(ADJUSTL(c_tmp)),' ')
+      ENDIF
+      r_memsize =  memslabs
     ELSE
-      ALLOCATE(tmp_real(realmemsize),stat=ier)
+      ALLOCATE(tmp_real(r_memsize),stat=ier)
       IF (ier /= 0) THEN
-        WRITE(*,*) &
- &    'getin_allocmem : Unable to allocate tmp_real to ', &
- &    realmemsize
-        STOP
-      ENDIF
-      tmp_real(1:realmemsize) = realmem(1:realmemsize)
-      DEALLOCATE(realmem)
-      ALLOCATE(realmem(realmemsize+MAX(memslabs,len_wanted)),stat=ier)
+        WRITE (UNIT=c_tmp,FMT=*) r_memsize
+        CALL ipslerr (3,'getin_allocmem', &
+ &       'Unable to allocate tmp_real', &
+ &       'to size '//TRIM(ADJUSTL(c_tmp)),' ')
+      ENDIF
+      tmp_real(1:r_memsize) = r_mem(1:r_memsize)
+      DEALLOCATE(r_mem)
+      ALLOCATE(r_mem(r_memsize+MAX(memslabs,len_wanted)),stat=ier)
       IF (ier /= 0) THEN
-        WRITE(*,*) &
- &    'getin_allocmem : Unable to re-allocate db-memory realmem to ', &
- &    realmemsize+MAX(memslabs,len_wanted)
-        STOP
-      ENDIF
-      realmem(1:realmemsize) = tmp_real(1:realmemsize)
-      realmemsize = realmemsize+MAX(memslabs,len_wanted)
+        WRITE (UNIT=c_tmp,FMT=*) r_memsize+MAX(memslabs,len_wanted)
+        CALL ipslerr (3,'getin_allocmem', &
+ &       'Unable to re-allocate db-memory', &
+ &       'r_mem to size '//TRIM(ADJUSTL(c_tmp)),' ')
+      ENDIF
+      r_mem(1:r_memsize) = tmp_real(1:r_memsize)
+      r_memsize = r_memsize+MAX(memslabs,len_wanted)
       DEALLOCATE(tmp_real)
     ENDIF
-  CASE(3)
-    IF (charmemsize == 0) THEN
-      ALLOCATE(charmem(memslabs),stat=ier)
+  CASE(k_c)
+    IF (c_memsize == 0) THEN
+      ALLOCATE(c_mem(memslabs),stat=ier)
       IF (ier /= 0) THEN
-        WRITE(*,*) &
- &    'getin_allocmem : Unable to allocate db-memory charmem to ', &
- &    memslabs
-        STOP
-      ENDIF
-      charmemsize = memslabs
+        WRITE (UNIT=c_tmp,FMT=*) memslabs
+        CALL ipslerr (3,'getin_allocmem', &
+ &       'Unable to allocate db-memory', &
+ &       'c_mem to size '//TRIM(ADJUSTL(c_tmp)),' ')
+      ENDIF
+      c_memsize = memslabs
     ELSE
-      ALLOCATE(tmp_char(charmemsize),stat=ier)
+      ALLOCATE(tmp_char(c_memsize),stat=ier)
       IF (ier /= 0) THEN
-        WRITE(*,*) &
- &    'getin_allocmem : Unable to allocate tmp_char to ', &
- &    charmemsize
-        STOP
-      ENDIF
-      tmp_char(1:charmemsize) = charmem(1:charmemsize)
-      DEALLOCATE(charmem)
-      ALLOCATE(charmem(charmemsize+MAX(memslabs,len_wanted)),stat=ier)
+        WRITE (UNIT=c_tmp,FMT=*) c_memsize
+        CALL ipslerr (3,'getin_allocmem', &
+ &       'Unable to allocate tmp_char', &
+ &       'to size '//TRIM(ADJUSTL(c_tmp)),' ')
+      ENDIF
+      tmp_char(1:c_memsize) = c_mem(1:c_memsize)
+      DEALLOCATE(c_mem)
+      ALLOCATE(c_mem(c_memsize+MAX(memslabs,len_wanted)),stat=ier)
       IF (ier /= 0) THEN
-        WRITE(*,*) &
- &    'getin_allocmem : Unable to re-allocate db-memory charmem to ', &
- &    charmemsize+MAX(memslabs,len_wanted)
-        STOP
-      ENDIF
-      charmem(1:charmemsize) = tmp_char(1:charmemsize)
-      charmemsize = charmemsize+MAX(memslabs,len_wanted)
+        WRITE (UNIT=c_tmp,FMT=*) c_memsize+MAX(memslabs,len_wanted)
+        CALL ipslerr (3,'getin_allocmem', &
+ &       'Unable to re-allocate db-memory', &
+ &       'c_mem to size '//TRIM(ADJUSTL(c_tmp)),' ')
+      ENDIF
+      c_mem(1:c_memsize) = tmp_char(1:c_memsize)
+      c_memsize = c_memsize+MAX(memslabs,len_wanted)
       DEALLOCATE(tmp_char)
     ENDIF
-  CASE(4)
-    IF (logicmemsize == 0) THEN
-      ALLOCATE(logicmem(memslabs),stat=ier)
+  CASE(k_l)
+    IF (l_memsize == 0) THEN
+      ALLOCATE(l_mem(memslabs),stat=ier)
       IF (ier /= 0) THEN
-        WRITE(*,*) &
- &    'getin_allocmem : Unable to allocate db-memory logicmem to ', &
- &    memslabs
-        STOP
-      ENDIF
-      logicmemsize = memslabs
+        WRITE (UNIT=c_tmp,FMT=*) memslabs
+        CALL ipslerr (3,'getin_allocmem', &
+ &       'Unable to allocate db-memory', &
+ &       'l_mem to size '//TRIM(ADJUSTL(c_tmp)),' ')
+      ENDIF
+      l_memsize = memslabs
     ELSE
-      ALLOCATE(tmp_logic(logicmemsize),stat=ier)
+      ALLOCATE(tmp_logic(l_memsize),stat=ier)
       IF (ier /= 0) THEN
-        WRITE(*,*) &
- &    'getin_allocmem : Unable to allocate tmp_logic to ', &
- &    logicmemsize
-        STOP
-      ENDIF
-      tmp_logic(1:logicmemsize) = logicmem(1:logicmemsize)
-      DEALLOCATE(logicmem)
-      ALLOCATE(logicmem(logicmemsize+MAX(memslabs,len_wanted)),stat=ier)
+        WRITE (UNIT=c_tmp,FMT=*) l_memsize
+        CALL ipslerr (3,'getin_allocmem', &
+ &       'Unable to allocate tmp_logic', &
+ &       'to size '//TRIM(ADJUSTL(c_tmp)),' ')
+      ENDIF
+      tmp_logic(1:l_memsize) = l_mem(1:l_memsize)
+      DEALLOCATE(l_mem)
+      ALLOCATE(l_mem(l_memsize+MAX(memslabs,len_wanted)),stat=ier)
       IF (ier /= 0) THEN
-        WRITE(*,*) &
- &    'getin_allocmem : Unable to re-allocate db-memory logicmem to ', &
- &    logicmemsize+MAX(memslabs,len_wanted)
-        STOP
-      ENDIF
-      logicmem(1:logicmemsize) = tmp_logic(1:logicmemsize)
-      logicmemsize = logicmemsize+MAX(memslabs,len_wanted)
+        WRITE (UNIT=c_tmp,FMT=*) l_memsize+MAX(memslabs,len_wanted)
+        CALL ipslerr (3,'getin_allocmem', &
+ &       'Unable to re-allocate db-memory', &
+ &       'l_mem to size '//TRIM(ADJUSTL(c_tmp)),' ')
+      ENDIF
+      l_mem(1:l_memsize) = tmp_logic(1:l_memsize)
+      l_memsize = l_memsize+MAX(memslabs,len_wanted)
       DEALLOCATE(tmp_logic)
     ENDIF
   CASE DEFAULT
-    WRITE(*,*) 'getin_allocmem : Unknown type : ',type
-    STOP
+    CALL ipslerr (3,'getin_allocmem','Unknown type of data',' ',' ')
   END SELECT
 !----------------------------
@@ -2456,12 +1838,14 @@
   CHARACTER(*),OPTIONAL :: fileprefix
 !-
-  CHARACTER(LEN=80) :: usedfileprefix = "used"
+  CHARACTER(LEN=80) :: usedfileprefix
   INTEGER :: ikey,if,iff,iv
-  CHARACTER(LEN=3) :: tmp3
-  CHARACTER(LEN=100) :: tmp_str, used_filename
+  CHARACTER(LEN=20) :: c_tmp
+  CHARACTER(LEN=100) :: tmp_str,used_filename
   LOGICAL :: check = .FALSE.
 !---------------------------------------------------------------------
   IF (PRESENT(fileprefix)) THEN
-    usedfileprefix = fileprefix(1:MIN(len_trim(fileprefix),80))
+    usedfileprefix = fileprefix(1:MIN(LEN_TRIM(fileprefix),80))
+  ELSE
+    usedfileprefix = "used"
   ENDIF
 !-
@@ -2474,131 +1858,160 @@
       WRITE(*,*) 'GETIN_DUMP : NUMBER OF KEYS : ',nb_keys
     ENDIF
-    OPEN(unit=76,file=used_filename)
-!-
+    OPEN (UNIT=22,FILE=used_filename)
+!---
 !-- If this is the first file we need to add the list
 !-- of file which belong to it
-!-
-    IF ( (if == 1) .AND. (nbfiles > 1) ) THEN
-      WRITE(76,*) '# '
-      WRITE(76,*) '# This file is linked to the following files :'
-      WRITE(76,*) '# '
+    IF ( (if == 1).AND.(nbfiles > 1) ) THEN
+      WRITE(22,*) '# '
+      WRITE(22,*) '# This file is linked to the following files :'
+      WRITE(22,*) '# '
       DO iff=2,nbfiles
-        WRITE(76,*) 'INCLUDEDEF = ',TRIM(filelist(iff))
+        WRITE(22,*) 'INCLUDEDEF = ',TRIM(filelist(iff))
       ENDDO
-      WRITE(76,*) '# '
+      WRITE(22,*) '# '
     ENDIF
 !---
     DO ikey=1,nb_keys
-!-
-!---- Is this key form this file ?
-!-
+!-----
+!---- Is this key from this file ?
       IF (keyfromfile(ikey) == if) THEN
-!-
-!---- Write some comments
-!-
-        WRITE(76,*) '#'
+!-------
+!------ Write some comments
+        WRITE(22,*) '#'
         SELECT CASE (keystatus(ikey))
         CASE(1)
-          WRITE(76,*) '# Values of ', &
+          WRITE(22,*) '# Values of ', &
  &          TRIM(keystr(ikey)),' comes from the run.def.'
         CASE(2)
-          WRITE(76,*) '# Values of ', &
+          WRITE(22,*) '# Values of ', &
  &          TRIM(keystr(ikey)),' are all defaults.'
         CASE(3)
-          WRITE(76,*) '# Values of ', &
+          WRITE(22,*) '# Values of ', &
  &          TRIM(keystr(ikey)),' are a mix of run.def and defaults.'
         CASE DEFAULT
-          WRITE(76,*) '# Dont know from where the value of ', &
+          WRITE(22,*) '# Dont know from where the value of ', &
  &          TRIM(keystr(ikey)),' comes.'
         END SELECT
-        WRITE(76,*) '#'
-!-
-!---- Write the values
-!-
+        WRITE(22,*) '#'
+!-------
+!------ Write the values
         SELECT CASE (keytype(ikey))
-!-
-        CASE(1)
+        CASE(k_i)
           IF (keymemlen(ikey) == 1) THEN
             IF (keycompress(ikey) < 0) THEN
-              WRITE(76,*) &
- &              TRIM(keystr(ikey)),' = ',intmem(keymemstart(ikey))
+              WRITE(22,*) &
+ &              TRIM(keystr(ikey)),' = ',i_mem(keymemstart(ikey))
             ELSE
-              WRITE(76,*) &
+              WRITE(22,*) &
  &              TRIM(keystr(ikey)),' = ',keycompress(ikey), &
- &              ' * ',intmem(keymemstart(ikey))
+ &              ' * ',i_mem(keymemstart(ikey))
             ENDIF
           ELSE
             DO iv=0,keymemlen(ikey)-1
-              WRITE(tmp3,'(I3.3)') iv+1
-              WRITE(76,*) &
- &              TRIM(keystr(ikey)),'__',tmp3, &
- &              ' = ',intmem(keymemstart(ikey)+iv)
+              WRITE(UNIT=c_tmp,FMT=c_i_fmt) iv+1
+              WRITE(22,*) &
+ &              TRIM(keystr(ikey)),'__',TRIM(ADJUSTL(c_tmp)), &
+ &              ' = ',i_mem(keymemstart(ikey)+iv)
             ENDDO
           ENDIF
-!-
-        CASE(2)
+        CASE(k_r)
           IF (keymemlen(ikey) == 1) THEN
             IF (keycompress(ikey) < 0) THEN
-              WRITE(76,*) &
- &              TRIM(keystr(ikey)),' = ',realmem(keymemstart(ikey))
+              WRITE(22,*) &
+ &              TRIM(keystr(ikey)),' = ',r_mem(keymemstart(ikey))
             ELSE
-              WRITE(76,*) &
+              WRITE(22,*) &
  &              TRIM(keystr(ikey)),' = ',keycompress(ikey),&
-                   & ' * ',realmem(keymemstart(ikey))
+                   & ' * ',r_mem(keymemstart(ikey))
             ENDIF
           ELSE
             DO iv=0,keymemlen(ikey)-1
-              WRITE(tmp3,'(I3.3)') iv+1
-              WRITE(76,*) &
- &              TRIM(keystr(ikey)),'__',tmp3, &
- &              ' = ',realmem(keymemstart(ikey)+iv)
+              WRITE(UNIT=c_tmp,FMT=c_i_fmt) iv+1
+              WRITE(22,*) &
+ &              TRIM(keystr(ikey)),'__',TRIM(ADJUSTL(c_tmp)), &
+ &              ' = ',r_mem(keymemstart(ikey)+iv)
             ENDDO
           ENDIF
-        CASE(3)
+        CASE(k_c)
           IF (keymemlen(ikey) == 1) THEN
-            tmp_str = charmem(keymemstart(ikey))
-            WRITE(76,*) TRIM(keystr(ikey)),' = ',TRIM(tmp_str)
+            tmp_str = c_mem(keymemstart(ikey))
+            WRITE(22,*) TRIM(keystr(ikey)),' = ',TRIM(tmp_str)
           ELSE
             DO iv=0,keymemlen(ikey)-1
-              WRITE(tmp3,'(I3.3)') iv+1
-              tmp_str = charmem(keymemstart(ikey)+iv)
-              WRITE(76,*) &
- &              TRIM(keystr(ikey)),'__',tmp3,' = ',TRIM(tmp_str)
+              WRITE(UNIT=c_tmp,FMT=c_i_fmt) iv+1
+              tmp_str = c_mem(keymemstart(ikey)+iv)
+              WRITE(22,*) &
+ &              TRIM(keystr(ikey)),'__',TRIM(ADJUSTL(c_tmp)), &
+ &              ' = ',TRIM(tmp_str)
             ENDDO
           ENDIF
-        CASE(4)
+        CASE(k_l)
           IF (keymemlen(ikey) == 1) THEN
-            IF (logicmem(keymemstart(ikey))) THEN
-              WRITE(76,*) TRIM(keystr(ikey)),' = TRUE '
+            IF (l_mem(keymemstart(ikey))) THEN
+              WRITE(22,*) TRIM(keystr(ikey)),' = TRUE '
             ELSE
-              WRITE(76,*) TRIM(keystr(ikey)),' = FALSE '
+              WRITE(22,*) TRIM(keystr(ikey)),' = FALSE '
             ENDIF
           ELSE
             DO iv=0,keymemlen(ikey)-1
-              WRITE(tmp3,'(I3.3)') iv+1
-              IF (logicmem(keymemstart(ikey)+iv)) THEN
-                WRITE(76,*) TRIM(keystr(ikey)),'__',tmp3,' = TRUE '
+              WRITE(UNIT=c_tmp,FMT=c_i_fmt) iv+1
+              IF (l_mem(keymemstart(ikey)+iv)) THEN
+                WRITE(22,*) TRIM(keystr(ikey)),'__', &
+ &                          TRIM(ADJUSTL(c_tmp)),' = TRUE '
               ELSE
-                WRITE(76,*) TRIM(keystr(ikey)),'__',tmp3,' = FALSE '
+                WRITE(22,*) TRIM(keystr(ikey)),'__', &
+ &                          TRIM(ADJUSTL(c_tmp)),' = FALSE '
               ENDIF
             ENDDO
           ENDIF
-!-
         CASE DEFAULT
-          WRITE(*,*) &
- &          'FATAL ERROR : Unknown type for variable ', &
- &          TRIM(keystr(ikey))
-          STOP 'getin_dump'
+          CALL ipslerr (3,'getin_dump', &
+ &         'Unknown type for variable '//TRIM(keystr(ikey)),' ',' ')
         END SELECT
       ENDIF
     ENDDO
 !-
-    CLOSE(unit=76)
+    CLOSE(UNIT=22)
 !-
   ENDDO
 !------------------------
 END SUBROUTINE getin_dump
-!-
 !===
-!-
+SUBROUTINE get_qtyp (k_typ,c_vtyp,i_v,r_v,c_v,l_v)
+!---------------------------------------------------------------------
+!- Returns the type of the argument (mutually exclusive)
+!---------------------------------------------------------------------
+  IMPLICIT NONE
+!-
+  INTEGER,INTENT(OUT) :: k_typ
+  CHARACTER(LEN=*),INTENT(OUT) :: c_vtyp
+  INTEGER,DIMENSION(:),OPTIONAL          :: i_v
+  REAL,DIMENSION(:),OPTIONAL             :: r_v
+  LOGICAL,DIMENSION(:),OPTIONAL          :: l_v
+  CHARACTER(LEN=*),DIMENSION(:),OPTIONAL :: c_v
+!---------------------------------------------------------------------
+  k_typ = 0
+  IF (COUNT((/PRESENT(i_v),PRESENT(r_v),PRESENT(c_v),PRESENT(l_v)/)) &
+ &    /= 1) THEN
+    CALL ipslerr (3,'get_qtyp', &
+ &   'Invalid number of optional arguments','(/= 1)',' ')
+  ENDIF
+!-
+  IF     (PRESENT(i_v)) THEN
+    k_typ = k_i
+    c_vtyp = 'INTEGER'
+  ELSEIF (PRESENT(r_v)) THEN
+    k_typ = k_r
+    c_vtyp = 'REAL'
+  ELSEIF (PRESENT(c_v)) THEN
+    k_typ = k_c
+    c_vtyp = 'CHARACTER'
+  ELSEIF (PRESENT(l_v)) THEN
+    k_typ = k_l
+    c_vtyp = 'LOGICAL'
+  ENDIF
+!----------------------
+END SUBROUTINE get_qtyp
+!===
+!------------------
 END MODULE getincom
Index: IOIPSL/trunk/src/histcom.f90
===================================================================
--- IOIPSL/trunk/src/histcom.f90	(revision 10)
+++ IOIPSL/trunk/src/histcom.f90	(revision 11)
@@ -1,5 +1,5 @@
 MODULE histcom
 !-
-!$Header: /home/ioipsl/CVSROOT/IOIPSL/src/histcom.f90,v 2.3 2005/10/10 08:02:57 adm Exp $
+!$Id$
 !-
   USE netcdf
Index: IOIPSL/trunk/src/ioipsl.f90
===================================================================
--- IOIPSL/trunk/src/ioipsl.f90	(revision 10)
+++ IOIPSL/trunk/src/ioipsl.f90	(revision 11)
@@ -1,5 +1,6 @@
-!$Header: /home/ioipsl/CVSROOT/IOIPSL/src/ioipsl.f90,v 2.2 2005/10/10 08:02:57 adm Exp $
+MODULE ioipsl
 !
-MODULE ioipsl
+!$Id$
+!
   USE errioipsl 
   USE stringop
Index: IOIPSL/trunk/src/mathelp.f90
===================================================================
--- IOIPSL/trunk/src/mathelp.f90	(revision 10)
+++ IOIPSL/trunk/src/mathelp.f90	(revision 11)
@@ -1,3 +1,3 @@
-!$Header: /home/ioipsl/CVSROOT/IOIPSL/src/mathelp.f90,v 2.2 2005/03/31 07:38:00 adm Exp $
+!$Id$
 !
 MODULE mathelp
Index: IOIPSL/trunk/src/restcom.f90
===================================================================
--- IOIPSL/trunk/src/restcom.f90	(revision 10)
+++ IOIPSL/trunk/src/restcom.f90	(revision 11)
@@ -1,5 +1,5 @@
 MODULE restcom
 !-
-!$Header: /home/ioipsl/CVSROOT/IOIPSL/src/restcom.f90,v 2.5 2005/10/27 07:25:58 adm Exp $
+!$Id$
 !-
 USE netcdf
